{
  "type" : "record",
  "name" : "ListReferenceBasesResponse",
  "namespace" : "org.ga4gh.methods",
  "doc" : "The response from `GET /references/{id}/bases` expressed as JSON.",
  "fields" : [ {
    "name" : "offset",
    "type" : "long",
    "doc" : "The offset position (0-based) of the given sequence from the start of this\n  `Reference`. This value will differ for each page in a paginated request.",
    "default" : 0
  }, {
    "name" : "sequence",
    "type" : "string",
    "doc" : "A substring of the bases that make up this reference. Bases are represented\n  as IUPAC-IUB codes; this string matches the regexp `[ACGTMRWSYKVHDBN]*`."
  }, {
    "name" : "nextPageToken",
    "type" : [ "null", "string" ],
    "doc" : "The continuation token, which is used to page through large result sets.\n  Provide this value in a subsequent request to return the next page of\n  results. This field will be empty if there aren't any additional results.",
    "default" : null
  } ]
}
